import { MetaTable } from "../meta";
import { Plugin } from "../plugin";
import { RuleOptions } from "./config-data";
import { Severity } from "./severity";
export interface ResolvedConfigData {
    metaTable: MetaTable;
    plugins: Plugin[];
    rules: Map<string, [Severity, RuleOptions]>;
}
/**
 * A resolved configuration is a normalized configuration with all extends,
 * plugins etc resolved.
 */
export declare class ResolvedConfig {
    private metaTable;
    private plugins;
    private rules;
    constructor({ metaTable, plugins, rules }: ResolvedConfigData);
    getMetaTable(): MetaTable;
    getPlugins(): Plugin[];
    getRules(): Map<string, [Severity, RuleOptions]>;
}
