"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lexer_1 = require("../lexer");
const rule_1 = require("../rule");
class AttrSpacing extends rule_1.Rule {
    documentation() {
        return {
            description: `No space between attributes. At least one whitespace character (commonly space) must be used to separate attributes.`,
            url: rule_1.ruleDocumentationUrl(__filename),
        };
    }
    setup() {
        let previousToken;
        this.on("token", (event) => {
            if (event.type === lexer_1.TokenType.ATTR_NAME && previousToken !== lexer_1.TokenType.WHITESPACE) {
                this.report(null, "No space between attributes", event.location);
            }
            previousToken = event.type;
        });
    }
}
exports.default = AttrSpacing;
